ChartDirector Ver 5.0 (PHP Edition)

BaseChart.addTitle2

Usage

addTitle2(alignment, text [, font [, fontSize [, fontColor [, bgColor [, edgeColor ]]]]])

Description

Adds a title to the chart.

Arguments

Argument | Default | Description
--- | --- | ---
alignment | (Mandatory) | The position on the title on the chart. See Alignment Specification for supported alignment types.
text | (Mandatory) | The text for the title. See ChartDirector Mark Up Language on how to embed special tags in the text for sophisticated formatting.
font | "" | The font used to draw the title text. The default is "bold". See Font Specification for details on various font attributes.
fontSize | 12 | The font size in points for the title text.
fontColor | TextColor | The color of the title text.
bgColor | Transparent | The background color of the title box.
edgeColor | Transparent | The border color of the title box.

Return Value

A TextBox object representing the title box. This may be used to fine-tune the appearance of the title box.

© 2009 Advanced Software Engineering Limited. All rights reserved.